{"openapi":"3.0.1","info":{"title":"Buy-Baazar API","description":"E-commerce Backend APIs Documentation","version":"1.0"},"servers":[{"url":"https://e-bazaar-2.onrender.com","description":"Generated server url"}],"paths":{"/sellers/products/{productId}":{"put":{"tags":["seller-product-controller"],"operationId":"updateProduct","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Product"}}}}}},"delete":{"tags":["seller-product-controller"],"operationId":"deleteProduct","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/orders/{orderId}/cancel":{"put":{"tags":["order-controller"],"operationId":"cancelOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}}}},"/api/cart/item/{cartItemId}":{"put":{"tags":["cart-controller"],"operationId":"updateCartItemHandler","parameters":[{"name":"cartItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CartItem"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CartItem"}}}}}},"delete":{"tags":["cart-controller"],"operationId":"deleteCartItemHandler","parameters":[{"name":"cartItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}},"/api/cart/add":{"put":{"tags":["cart-controller"],"operationId":"addItemToCart","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CartItem"}}}}}}},"/sellers/products":{"get":{"tags":["seller-product-controller"],"operationId":"getProductBySeller","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}},"post":{"tags":["seller-product-controller"],"operationId":"createProduct","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Product"}}}}}}},"/auth/signup":{"post":{"tags":["auth-controller"],"operationId":"createUserHandler","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignupRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}}}}},"/auth/signing":{"post":{"tags":["auth-controller"],"operationId":"loginHandler","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}}}}},"/auth/sent/login-signup-otp":{"post":{"tags":["auth-controller"],"operationId":"sentOtpHandler","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}},"/api/wishlist/add-product/{productId}":{"post":{"tags":["wishlist-controller"],"operationId":"addProductToWishList","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WishList"}}}}}}},"/api/products/{productId}/reviews":{"get":{"tags":["review-controller"],"operationId":"getReviewByProductId","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Review"}}}}}}},"post":{"tags":["review-controller"],"operationId":"writeReview","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReviewRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Review"}}}}}}},"/api/orders":{"post":{"tags":["order-controller"],"operationId":"createOrderHandler","parameters":[{"name":"paymentMethod","in":"query","required":true,"schema":{"type":"string","enum":["RAZORPAY","STRIP"]}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentLinkResponse"}}}}}}},"/api/coupons/apply":{"post":{"tags":["admin-coupon-controller"],"operationId":"applyCoupon","parameters":[{"name":"apply","in":"query","required":true,"schema":{"type":"string"}},{"name":"code","in":"query","required":true,"schema":{"type":"string"}},{"name":"orderValue","in":"query","required":true,"schema":{"type":"number","format":"double"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Cart"}}}}}}},"/api/coupons/admin/create":{"post":{"tags":["admin-coupon-controller"],"operationId":"createCoupon","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Coupon"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Coupon"}}}}}}},"/admin/home-category":{"get":{"tags":["home-category-controller"],"operationId":"getHomePageData","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Home"}}}}}},"post":{"tags":["home-category-controller"],"operationId":"createHomeCategories","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HomeCategory"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Home"}}}}}}},"/admin/deals":{"get":{"tags":["deal-controller"],"operationId":"getAllDeals","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Deal"}}}}}}},"post":{"tags":["deal-controller"],"operationId":"createDeals","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deal"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deal"}}}}}}},"/api/seller/{id}/status/{status}":{"patch":{"tags":["admin-controller"],"operationId":"updateSellerStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"path","required":true,"schema":{"type":"string","enum":["PENDING_VERIFICATION","ACTIVE","SUSPENDED","DEACTIVATED","BANNED","CLOSED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Seller"}}}}}}},"/api/seller/orders/{orderId}/status/{orderStatus}":{"patch":{"tags":["seller-order-controller"],"operationId":"updateOrderHandler","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}},{"name":"orderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"orderStatus","in":"path","required":true,"schema":{"type":"string","enum":["PENDING","PLACED","CONFIRMED","SHIPPED","DELIVERED","CANCELLED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}}}},"/api/reviews/{reviewId}":{"delete":{"tags":["review-controller"],"operationId":"deleteReview","parameters":[{"name":"reviewId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}},"patch":{"tags":["review-controller"],"operationId":"updateReview","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}},{"name":"reviewId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReviewRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Review"}}}}}}},"/admin/home-category/{id}":{"delete":{"tags":["home-category-controller"],"operationId":"deleteHomeCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Home"}}}}}},"patch":{"tags":["home-category-controller"],"operationId":"updateHomeCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HomeCategory"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Home"}}}}}}},"/admin/deals/{id}":{"delete":{"tags":["deal-controller"],"operationId":"deleteDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}},"patch":{"tags":["deal-controller"],"operationId":"updateDeal","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Deal"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Deal"}}}}}}},"/products":{"get":{"tags":["product-controller"],"operationId":"getAllProducts","parameters":[{"name":"category","in":"query","required":false,"schema":{"type":"string"}},{"name":"brand","in":"query","required":false,"schema":{"type":"string"}},{"name":"color","in":"query","required":false,"schema":{"type":"string"}},{"name":"size","in":"query","required":false,"schema":{"type":"string"}},{"name":"minPrice","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"maxPrice","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"minDiscount","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"stock","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageNumber","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageProduct"}}}}}}},"/products/{productId}":{"get":{"tags":["product-controller"],"operationId":"getProductById","parameters":[{"name":"productId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Product"}}}}}}},"/products/search":{"get":{"tags":["product-controller"],"operationId":"searchProduct","parameters":[{"name":"query","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}}}}}}},"/api/wishlist":{"get":{"tags":["wishlist-controller"],"operationId":"getWishlistByUserId","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WishList"}}}}}}},"/api/transactions":{"get":{"tags":["transaction-controller"],"operationId":"getAllTransaction","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}}}}}}}},"/api/transactions/seller":{"get":{"tags":["transaction-controller"],"operationId":"getTransactionBySeller","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Transaction"}}}}}}}},"/api/seller/orders":{"get":{"tags":["seller-order-controller"],"operationId":"getAllOrdersHandler","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Order"}}}}}}}},"/api/payment/{paymentId}":{"get":{"tags":["payment-controller"],"operationId":"paymentSuccessHandler","parameters":[{"name":"paymentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"paymentLinkId","in":"query","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}},"/api/orders/{orderId}":{"get":{"tags":["order-controller"],"operationId":"getOrderById","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Order"}}}}}}},"/api/orders/user":{"get":{"tags":["order-controller"],"operationId":"userOrderHistoryHandler","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Order"}}}}}}}},"/api/orders/item/{orderItemId}":{"get":{"tags":["order-controller"],"operationId":"getOrderItemById","parameters":[{"name":"orderItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderItem"}}}}}}},"/api/coupons/admin/all":{"get":{"tags":["admin-coupon-controller"],"operationId":"getAllCoupon","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Coupon"}}}}}}}},"/api/cart":{"get":{"tags":["cart-controller"],"operationId":"findUserCartHandler","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Cart"}}}}}}},"/":{"get":{"tags":["home-controller"],"operationId":"home","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponse"}}}}}}},"/api/coupons/admin/delete/{id}":{"delete":{"tags":["admin-coupon-controller"],"operationId":"deleteCoupon","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"Address":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"locality":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"pinCode":{"type":"string"},"mobile":{"type":"string"}}},"BankDetails":{"type":"object","properties":{"accountNumber":{"type":"string"},"accountHolderName":{"type":"string"},"ifscCode":{"type":"string"}}},"BusinessDetails":{"type":"object","properties":{"businessName":{"type":"string"},"businessEmail":{"type":"string"},"businessMobile":{"type":"string"},"businessAddress":{"type":"string"},"logo":{"type":"string"},"banner":{"type":"string"}}},"Category":{"required":["categoryId","level"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"categoryId":{"type":"string"},"parentCategory":{"$ref":"#/components/schemas/Category"},"level":{"type":"integer","format":"int32"},"patentCategory":{"$ref":"#/components/schemas/Category"}}},"Product":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"title":{"type":"string"},"description":{"type":"string"},"mrpPrice":{"type":"number"},"sellingPrice":{"type":"number"},"discountPercentage":{"type":"integer","format":"int32"},"quantity":{"type":"integer","format":"int32"},"color":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"numRating":{"type":"integer","format":"int32"},"category":{"$ref":"#/components/schemas/Category"},"seller":{"$ref":"#/components/schemas/Seller"},"createdAt":{"type":"string","format":"date-time"},"sizes":{"type":"string"},"reviews":{"type":"array","items":{"$ref":"#/components/schemas/Review"}}}},"Review":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"reviewText":{"type":"string"},"rating":{"type":"number"},"productImages":{"type":"array","items":{"type":"string"}},"user":{"$ref":"#/components/schemas/User"},"createdAt":{"type":"string","format":"date-time"}}},"Seller":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"sellerName":{"type":"string"},"mobile":{"type":"string"},"email":{"type":"string"},"password":{"type":"string","writeOnly":true},"businessDetails":{"$ref":"#/components/schemas/BusinessDetails"},"bankDetails":{"$ref":"#/components/schemas/BankDetails"},"pickupAddress":{"$ref":"#/components/schemas/Address"},"gstin":{"type":"string"},"role":{"type":"string","enum":["ROLE_ADMIN","ROLE_CUSTOMER","ROLE_SELLER"]},"emailVerified":{"type":"boolean"},"accountStatus":{"type":"string","enum":["PENDING_VERIFICATION","ACTIVE","SUSPENDED","DEACTIVATED","BANNED","CLOSED"]}}},"User":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"password":{"type":"string","writeOnly":true},"email":{"type":"string"},"fullName":{"type":"string"},"mobile":{"type":"string"},"role":{"type":"string","enum":["ROLE_ADMIN","ROLE_CUSTOMER","ROLE_SELLER"]},"addresses":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Address"}}}},"Order":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"orderId":{"type":"string"},"user":{"$ref":"#/components/schemas/User"},"sellerId":{"type":"integer","format":"int64"},"orderItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderItem"}},"shippingAddress":{"$ref":"#/components/schemas/Address"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDetails"},"totalMrpPrice":{"type":"number"},"totalSellingPrice":{"type":"number"},"discount":{"type":"number"},"orderStatus":{"type":"string","enum":["PENDING","PLACED","CONFIRMED","SHIPPED","DELIVERED","CANCELLED"]},"totalItems":{"type":"integer","format":"int32"},"paymentStatus":{"type":"string","enum":["PENDING","PROCESSING","COMPLETED","FAILED"]},"orderDate":{"type":"string","format":"date-time"},"deliverDate":{"type":"string","format":"date-time"}}},"OrderItem":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"product":{"$ref":"#/components/schemas/Product"},"size":{"type":"string"},"quantity":{"type":"integer","format":"int32"},"mrpPrice":{"type":"number"},"sellingPrice":{"type":"number"}}},"PaymentDetails":{"type":"object","properties":{"paymentId":{"type":"string"},"razorpayPaymentLinkId":{"type":"string"},"razorpayPaymentLinkReferenceId":{"type":"string"},"razorpayPaymentLinkStatus":{"type":"string"},"razorpayPaymentId":{"type":"string"},"status":{"type":"string","enum":["PENDING","PROCESSING","COMPLETED","FAILED"]}}},"CartItem":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"product":{"$ref":"#/components/schemas/Product"},"size":{"type":"string"},"quantity":{"type":"integer","format":"int32"},"mrpPrice":{"type":"number"},"sellingPrice":{"type":"number"}}},"AddItemRequest":{"type":"object","properties":{"size":{"type":"string"},"quantity":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int64"}}},"CreateProductRequest":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"mrpPrice":{"type":"number"},"sellingPrice":{"type":"number"},"color":{"type":"string"},"images":{"type":"array","items":{"type":"string"}},"category":{"type":"string"},"category2":{"type":"string"},"category3":{"type":"string"},"size":{"type":"string"},"quantity":{"type":"integer","format":"int32"}}},"SignupRequest":{"type":"object","properties":{"email":{"type":"string"},"fullName":{"type":"string"},"otp":{"type":"string"}}},"AuthResponse":{"type":"object","properties":{"jwt":{"type":"string"},"message":{"type":"string"},"role":{"type":"string","enum":["ROLE_ADMIN","ROLE_CUSTOMER","ROLE_SELLER"]}}},"LoginRequest":{"type":"object","properties":{"email":{"type":"string"},"otp":{"type":"string"}}},"LoginOtpRequest":{"type":"object","properties":{"email":{"type":"string"},"otp":{"type":"string"},"role":{"type":"string","enum":["ROLE_ADMIN","ROLE_CUSTOMER","ROLE_SELLER"]}}},"ApiResponse":{"type":"object","properties":{"message":{"type":"string"}}},"WishList":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"user":{"$ref":"#/components/schemas/User"},"products":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Product"}}}},"CreateReviewRequest":{"type":"object","properties":{"reviewText":{"type":"string"},"reviewRating":{"type":"number"},"productImages":{"type":"array","items":{"type":"string"}}}},"PaymentLinkResponse":{"type":"object","properties":{"payment_link_url":{"type":"string"},"payment_link_id":{"type":"string"}}},"Cart":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"user":{"$ref":"#/components/schemas/User"},"cartItems":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/CartItem"}},"totalSellingPrice":{"type":"number"},"totalMrpPrice":{"type":"number"},"totalItem":{"type":"integer","format":"int32"},"discount":{"type":"integer","format":"int32"},"couponCode":{"type":"string"}}},"Coupon":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"code":{"type":"string"},"discountPercentage":{"type":"number"},"validityStartDate":{"type":"string","format":"date"},"validityEndDate":{"type":"string","format":"date"},"minimumOrderValue":{"type":"number"},"active":{"type":"boolean"},"usedByUsers":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/User"}}}},"HomeCategory":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"image":{"type":"string"},"categoryId":{"type":"string"},"section":{"type":"string","enum":["ELECTRIC_CATEGORIES","GRID","SHOP_BY_CATEGORIES","DEALS"]}}},"Deal":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"discount":{"type":"integer","format":"int32"},"category":{"$ref":"#/components/schemas/HomeCategory"}}},"Home":{"type":"object","properties":{"grid":{"type":"array","items":{"$ref":"#/components/schemas/HomeCategory"}},"shopByCategories":{"type":"array","items":{"$ref":"#/components/schemas/HomeCategory"}},"electricCategories":{"type":"array","items":{"$ref":"#/components/schemas/HomeCategory"}},"dealCategories":{"type":"array","items":{"$ref":"#/components/schemas/HomeCategory"}},"deals":{"type":"array","items":{"$ref":"#/components/schemas/Deal"}}}},"PageProduct":{"type":"object","properties":{"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"first":{"type":"boolean"},"last":{"type":"boolean"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/Product"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"numberOfElements":{"type":"integer","format":"int32"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"},"unpaged":{"type":"boolean"},"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"}}},"SortObject":{"type":"object","properties":{"empty":{"type":"boolean"},"unsorted":{"type":"boolean"},"sorted":{"type":"boolean"}}},"Transaction":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"customer":{"$ref":"#/components/schemas/User"},"order":{"$ref":"#/components/schemas/Order"},"seller":{"$ref":"#/components/schemas/Seller"},"date":{"type":"string","format":"date-time"}}}}}}